﻿var app_name = 'WV-ASR500 Calculator';
var app_ver = 'Ver. 1.12R00 ENG (2014/07/14)';
var app_reqspec = 'Requirement : Windows 8.1 / 8 / 7 / Vista, Internet Explorer 11 / 10 / 9 / 8 / 7, RAM 512MB over';

var s_note_cap = 'Caution';
var s_note_txt = '<ul>' +
    '<li>Depending on objects, difference may be occurred between the calculation result and actual recording time or HDD capacity.</li>' +
    '<li>A bit rate from cameras to network may be varied depending on object or network usage.</li>' +
    '<li>Some functions may not work depending on the firmware version of the compatible device. Refer to the Panasonic support website (<a href="http://security.panasonic.com/pss/security/support/index.html">http://security.panasonic.com/pss/security/support/index.html</a>) for further information.</li>' +
    '<li>The system normally retains recorded video from all cameras for as long as possible, deleting the oldest video only when required to create room for newly recorded video. Thus, it is recommended that you use the "Expiration Configuration" feature only when necessary, such as when video must be deleted after a specific maximum time period as required by law.</li>' +
    '<li>To resolve issues with video expiration, you can expand your storage capacity by adding hard drives, reducing the minimum time that video needs to be stored, or reducing frame rates or quality settings for the applicable cameras.</li>' +
    '</ul>';

var s_note_addtxt = 'REFRESH will be done each operation such as camera numbers or video condition.';
var s_tblheader_reccondition = 'Recording condition';
var s_cam_fps_max = 'Max ';
var s_cam_bitrate_mbps = 'Mbps';
var s_cam_bitrate_kbps = 'kbps';
var s_cam_fps = 'fps';
var s_cam_fps_none = '< 1fps';

var s_cam_kb = 'KB';
var s_mark_nonsupport_nv200 = '(*)';
var s_mark_support_nv200_sf = '(SF)';
var s_mark_support_nv200_fq = '(FQ)';
var s_mark_support_nv200_nq = '(NQ)';

var s_space = '   ';
var s_separator = '__';

var s_tblheader_compkind_h264 = 'Type';
var s_tblheader_camnum_h264 = 'Num.';
var s_tblheader_cammodel_h264 = 'Model number';
var s_tblheader_reso_h264 = 'Resolution';
var s_tblheader_scanmode_h264 = 'Image capture mode';
var s_tblheader_priority_h264 = 'Prior mode';
var s_tblheader_quality_h264 = 'Quality';
var s_tblheader_bitrate_h264 = 'Bit rate per one camera';

var s_compkind_h264 = 'H.264';

var s_cammodel_h264_01 = 'i-PRO SmartHD';
var s_cammodel_h264_02 = 'i-PRO SmartHD(FullHD)';
var s_cammodel_h264_03 = 'NP502/NW502S';
var s_cammodel_h264_04 = 'GXE500';
var s_cammodel_h264_05 = 'BB-HCM7**';
var s_cammodel_h264_06 = 'SF4**/SW4**';
var s_cammodel_h264_07 = 'GXE100';
var s_cammodel_h264_08 = 'Other Cameras';

var s_camscan_h264_00 = '--';
var s_camscan_h264_01 = '1.3M';
var s_camscan_h264_02 = '2M';
var s_camscan_h264_03 = '3M';
var s_camscan_h264_04 = '1M';
var s_camscan_h264_05 = '2mode';
var s_camscan_h264_06 = 'VGA(4)';
var s_camscan_h264_07 = '2/3M';
var s_camscan_h264_08 = '1.2M';
var s_camscan_h264_09 = '1.9M';
var s_camscan_h264_10 = '2.8M';
var s_camscan_h264_11 = '3.1M';
var s_camscan_h264_12 = '3.9M';
var s_camscan_h264_13 = '4.9M';
var s_camscan_h264_14 = '5M';
var s_camscan_h264_15 = '8M';
var s_camscan_h264_16 = '10M';
var s_camscan_h264_17 = '12M';
var s_camscan_h264_18 = '20M';
var s_camscan_h264_19 = '40M';

var s_camreso_h264_00 = '--';
var s_camreso_h264_01 = 'SXVGA';
var s_camreso_h264_02 = 'VGA';
var s_camreso_h264_03 = 'QVGA';
var s_camreso_h264_04 = 'FHD';
var s_camreso_h264_05 = 'HD';
var s_camreso_h264_06 = 'HVGAW';
var s_camreso_h264_07 = '180P';
var s_camreso_h264_08 = 'SVGA';
var s_camreso_h264_09 = 'CIF';
var s_camreso_h264_10 = '2CIF';
var s_camreso_h264_11 = 'D1';
var s_camreso_h264_12 = '720P';
var s_camreso_h264_13 = '1080P';

var s_camprio_H264_00 = '--';
var s_camprio_h264_01 = 'Bit rate';
var s_camprio_h264_02 = 'Frame rate';
var s_camprio_h264_03 = 'AdvancedVBR[high]';
var s_camprio_h264_04 = 'AdvancedVBR[middle]';
var s_camprio_h264_05 = 'AdvancedVBR[low]';

var s_camqual_h264_00 = '--';
var s_camqual_h264_01 = 'Fine (SF)';
var s_camqual_h264_02 = 'Normal (FQ)';
var s_camqual_h264_03 = 'Low (NQ)';

var s_compkind_jpeg = 'JPEG';

var s_cammodel_jpeg_01 = 'i-PRO SmartHD';
var s_cammodel_jpeg_02 = 'i-PRO SmartHD(FullHD)';
var s_cammodel_jpeg_03 = 'NP502/NW502S';
var s_cammodel_jpeg_04 = 'GXE500/GXE100';
var s_cammodel_jpeg_05 = 'NP304/NF302';
var s_cammodel_jpeg_06 = 'NP1000';
var s_cammodel_jpeg_07 = 'Other i-PROs';
var s_cammodel_jpeg_08 = 'BB-HCM7**';
var s_cammodel_jpeg_09 = 'BB-HCM5**/3**/1**';
var s_cammodel_jpeg_10 = 'SF4**/SW4**';
var s_cammodel_jpeg_11 = 'Other Cameras';

var s_camreso_jpeg_01 = s_camreso_h264_01;
var s_camreso_jpeg_02 = s_camreso_h264_02;
var s_camreso_jpeg_03 = s_camreso_h264_03;
var s_camreso_jpeg_04 = s_camreso_h264_04;
var s_camreso_jpeg_05 = s_camreso_h264_05;
var s_camreso_jpeg_06 = s_camreso_h264_06;
var s_camreso_jpeg_07 = s_camreso_h264_07;
var s_camreso_jpeg_08 = s_camreso_h264_08;
var s_camreso_jpeg_09 = 'QXGA';

var s_camscan_jpeg_00 = s_camscan_h264_00;
var s_camscan_jpeg_01 = s_camscan_h264_01;
var s_camscan_jpeg_02 = s_camscan_h264_02;
var s_camscan_jpeg_03 = s_camscan_h264_03;
var s_camscan_jpeg_04 = 'Full scan';
var s_camscan_jpeg_05 = s_camscan_h264_04;
var s_camscan_jpeg_06 = s_camscan_h264_05;
var s_camscan_jpeg_07 = s_camscan_h264_06;

var s_camqual_jpeg_00 = '0';
var s_camqual_jpeg_01 = '1';
var s_camqual_jpeg_02 = '2';
var s_camqual_jpeg_03 = '3';
var s_camqual_jpeg_04 = '4';
var s_camqual_jpeg_05 = '5';
var s_camqual_jpeg_06 = '6';
var s_camqual_jpeg_07 = '7';
var s_camqual_jpeg_08 = '8';
var s_camqual_jpeg_09 = '9';
var s_camqual_jpeg_10 = 'Fine ';
var s_camqual_jpeg_11 = 'Normal ';
var s_camqual_jpeg_12 = 'Low ';

var s_compkind_mpeg4 = 'MPEG-4';

var s_cammodel_mpeg4_01 = 'i-PRO SmartHD';
var s_cammodel_mpeg4_02 = 'NP502/NW502S';
var s_cammodel_mpeg4_03 = 'GXE500';
var s_cammodel_mpeg4_04 = 'NP304/NF302';
var s_cammodel_mpeg4_05 = 'NP1000';
var s_cammodel_mpeg4_06 = 'Other i-PROs';
var s_cammodel_mpeg4_07 = 'BB-HCM7**';
var s_cammodel_mpeg4_08 = 'Other Cameras';

var s_camscan_mpeg4_00 = s_camscan_h264_00;
var s_camscan_mpeg4_01 = s_camscan_h264_01;
var s_camscan_mpeg4_02 = s_camscan_h264_03;
var s_camscan_mpeg4_03 = s_camscan_jpeg_04;

var s_camreso_mpeg4_01 = s_camreso_h264_02;
var s_camreso_mpeg4_02 = s_camreso_h264_03;

var s_camprio_mpeg4_00 = s_camprio_H264_00;
var s_camprio_mpeg4_01 = s_camprio_h264_01;

var s_camqual_mpeg4_00 = s_camqual_h264_00;
var s_camqual_mpeg4_01 = s_camqual_h264_01;
var s_camqual_mpeg4_02 = s_camqual_h264_02;
var s_camqual_mpeg4_03 = s_camqual_h264_03;

var s_compkind_face = 'H.264<br />(Face matching)';
var s_cammodel_face_01 = 'See this tip';
var s_camreso_face_01 = s_camreso_h264_01;
var s_camqual_face_01 = 'SF';

var s_td_RecTime = 'Rec. Duration';
var s_txtTimeHour = 'Hour(s) per day';
var s_txtDays = 'Day(s)';

var s_td_HDDInfo = 'HDD';
var s_Lst_HDDCapa = 'Capacity';
var s_lst_RAID  = 'RAID';
var sel_raid_str = new Array('Single', 'RAID5');
var sel_hdd_unit = 'GB';

var s_ck_advanced = 'All HDD set<br />Advanced Mode';
var s_ck1_advanced = 'All HDD set';
var s_ck2_advanced = 'Advanced Mode';

var s_td_VMDAudio = 'VMD/Audio';
var s_ck_VMDInfo = 'VMD Info.';
var s_ck_Audio = 'Audio';
var STR_LABELNOTICE1 = ' * sets to All cameras';

var s_td_ResultTitle = 'Result';

var s_td_theoryValue = 'Theoretical<br />result';
var s_td_theoryTotalBitRate = 'Total bit rate (Mbps)';
var s_td_theoryCapasity = 'Capacity (TB)';

var OUTPUTNOTICE = 'Caution for result of this calculator';

var s_td_Server = 'Server';
var s_td_NV200 = 'NV200';
var s_td_NV200_24ch = 'NV200';
var s_td_NV200_Name1 = 'WJ-NV200';
var s_td_NV200_Name2 = '';
var s_td_NV200_Name3 = '';
var s_td_NV200_Name4 = '';
var s_td_NV200_Name5 = '';
var s_td_NVE20 = '';

var s_td_HP = 'HP';
var s_td_HPsrvName1 = 'ProLiant ML350p Gen8';
var s_td_HPsrvName2 = 'E5-2630 1P6C 4G<br />SAS/8SFF T';

var s_td_DELL_128 = 'DELL(128ch *2)';
var s_td_DELL_064 = 'DELL(64ch *2)';
var s_td_DELLsrvName1 = 'PowerEdge R520';
var s_td_DELLsrvName2 = '';
var s_td_DELLsrvName3 = 'PowerEdge T110 II';

var s_td_INTEL_128 = 'INTEL(128ch *1)';
var s_td_INTEL_064 = 'INTEL(64ch *1)';
var s_td_INTELsrvName1 = 'S1200V3RPM';
var s_td_INTELsrvName2 = 'PAN-S1200V3R<br />PM-2U-32';
var s_td_INTELsrvName3 = 'PAN-R1304RPM<br />SHOR-1U-64';
var s_td_INTELsrvName4 = 'PAN-S1200V3R<br />PM-2U-64';

var s_td_LabelExtUnit = 'Extension Unit';
var s_td_LabelHDDnum = 'HDD(*3)';
var s_td_LabelCapa = 'Capacity (TB)';
var s_td_LabelPowWatt = 'Watt (W)';
var s_td_LabelU = 'Total Height (U)';

var s_print_detail = 'Check to show detail';

var s_table_HPtitle = 'HP Server Unit Configuration';
var s_table_INTEL064title = 'INTEL Server Unit Configuration (64 ch)';
var s_table_INTEL128title = 'INTEL Server Unit Configuration (128 ch)';
var s_table_DELL064title = 'DELL Server Unit Configuration (64 ch)';
var s_table_DELL128title = 'DELL Server Unit Configuration (128 ch)';

var s_detail_MainUnit = 'Main Unit';
var s_detail_model = '';
var s_detail_license = '';
var s_detail_hde = 'Extension Unit';
var s_detail_hdd = 'HDD(*3)';
var s_detail_camera = 'Cameras';

var s_detail_h264 = 'H.264 Cameras';
var s_detail_cam1 = '[1]';
var s_detail_cam2 = '[2]';
var s_detail_cam3 = '[3]';

var s_detail_totalbitrate = 'Bit rate (Mbps)';
var s_detail_totaldata = 'Data size (TB)';

var s_print_button = 'Text file output';
var s_print_label01 = 'Press the button on the left to get result in text data. <br />' +
    'Copy the text to your document.';
var s_print_title = 'Text file output';

var s_switch_on = 'On';
var s_switch_off = 'Off';

var s_buf = '---';

var POPUP_CAMNUM = 'Number that you enter in the case of GXE500 is not the number of devices.<br />' +
    'Please enter a quantity of channels to be used.';

var POPUP_RESOLUTION = '<table border="1" cellspacing="0" class="tooltip_tbl_style">' +
    '<tr><td colspan="2">[4:3]</td><td colspan="2">[16:9]</td></tr>' +
    '<tr><td>QXGA</td><td>2048*1536</td><td>FHD</td><td>1920*1080</td></tr>' +
    '<tr><td>SXVGA</td><td>1280*960</td><td>HD</td><td>1280*720</td></tr>' +
    '<tr><td>SVGA</td><td>800*600</td><td>-</td><td>-</td></tr>' +
    '<tr><td>VGA</td><td>640*480</td><td>HVGAW</td><td>640*360</td></tr>' +
    '<tr><td>QVGA</td><td>320*240</td><td>180P</td><td>320*180</td></tr>' +
    '</table>';

var POPUP_MODE = '<ul><li>2mode : Double Panorama + Quad, Single PTZ / Panorama + Quad, Single PTZ</li>' +
    '<li>VGA(4) : VGA Quad streams</li></ul>';

var POPUP_BITRATE = '<ul>' +
    '<li>FPS number of constant bit rate is the maximum value, fluctuations will be larger compared to the specified frame rate.</li>' +
    '<li>FPS number of frame rate is the image quality on the equivalent of FQ.</li>' +
    '<li>Packet loss with wireless communication is not considered.</li>' +
    '</ul>';

var POPUP_H264 = '<ul>' +
    '<li>Bit rate of stream from BB-HCM*** cameras includes not only picture data but also some network protocol header data (assuming 30% increase on picture data).</li>' +
    '</ul>';

var POPUP_FACE = 'Face matching is available with only 1ch of NV200. ' +
    'NV200 are needed as the number of \'Face matching\' cameras.';
var POPUP_FACEMODEL = 'NP502, SP305 and SP306 with 8x Megapixel varifocal lens';

var POPUP_HDDCAPA = 'Please use the recommended model.';
var POPUP_RAID_ARRAY = new Array('Single',  'RAID5: <b>One</b> parity disk is needed for each unit.');

var NOTICERECTYPEINFO = 'Caution <br />';
var ELECNOTICE = '- Watt (W) is calculated only for server. Other components, such as cameras, network switches or etc. are <b>not</b> considered for Watt calculation.';
var UNITSPACE = '- Make a space of 1U (44 mm / 1.73 inch) above and below the unit for ventilation.';

var INFOMSGTIPS = '---------------------------TIPS----------------------------';

var CAMNUMOVER = 'This calculator limits the maximum quantities of cameras up to 1000.';

var s_note_exttxt1 = '(*1) In the case of RAID5 with only the main unit, please set five or more the number of HDD per main unit.';
var s_note_exttxt2 = '(*2) When you use Dell HDD extension units, please see below<br />' +
    '&nbsp&nbsp&nbsp&nbsp&nbsp- Use only one extension unit<br />' +
    '&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspModel) MD1200<br />' +
    '&nbsp&nbsp&nbsp&nbsp&nbsp- Use multiple extension units<br />' +
    '&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspModel) Primary: MD3200, Others: MD1200';

var s_note_exttxt3 = '(*3) Number of the HDD is for recording area.<br />&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspFor hardware configuration, one SSD/HDD is necessary as a system area separately.';

